org.apache.xerces.util

## Class IntStack

- java.lang.Object
- - org.apache.xerces.util.IntStack

    public final class IntStack
    extends java.lang.Object

A simple integer based stack. moved to org.apache.xerces.util by neilg to support the XPathMatcher.

Version:
  $Id: IntStack.java 447241 2006-09-18 05:12:57Z mrglavas $
Author:
  Andy Clark, IBM

### Constructor Summary

Constructors
Constructor and Description
`IntStack()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Clears the stack.
`int` `elementAt(int depth)` Returns the element at the specified depth in the stack.
`int` `peek()` Peeks at the top of the stack.
`int` `pop()` Pops a value off of the stack.
`void` `print()` Prints the stack.
`void` `push(int value)` Pushes a value onto the stack.
`int` `size()` Returns the size of the stack.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntStack

    public IntStack()

### Method Detail

#### size

    public int size()

Returns the size of the stack.

#### push

    public void push(int value)

Pushes a value onto the stack.

#### peek

    public int peek()

Peeks at the top of the stack.

#### elementAt

    public int elementAt(int depth)

Returns the element at the specified depth in the stack.

#### pop

    public int pop()

Pops a value off of the stack.

#### clear

    public void clear()

Clears the stack.

#### print

    public void print()

Prints the stack.